Orxonox: orxonox::Clock Class Reference

# orxonox::Clock Class Reference

`#include <src/core/Clock.h>`

List of all members.

## Public Member Functions

void | capture ()
| Clock ()
float | getDeltaTime () const
long | getDeltaTimeMicroseconds () const
unsigned long long | getMicroseconds () const
unsigned long long | getMilliseconds () const
unsigned long long | getRealMicroseconds () const
unsigned long | getSeconds () const
float | getSecondsPrecise () const
| ~Clock ()

## Private Member Functions

| Clock (const Clock &instance)

## Private Attributes

unsigned long | lastTimersTime_
unsigned long long | storedTime_
long | tickDt_
float | tickDtFloat_
unsigned long long | tickTime_
Ogre::Timer * | timer_

## Constructor & Destructor Documentation

orxonox::Clock::Clock | ( |  | ) |

orxonox::Clock::~Clock | ( |  | ) |

References timer_.

orxonox::Clock::Clock | ( | const Clock & | instance | ) | `[private]`

## Member Function Documentation

void orxonox::Clock::capture | ( |  | ) |

References lastTimersTime_, storedTime_, tickDt_, tickDtFloat_, tickTime_, and timer_.

Referenced by orxonox::Game::run().

float orxonox::Clock::getDeltaTime | ( |  | ) | const`[inline]`

Referenced by orxonox::InGameConsole::update(), orxonox::GUIManager::update(), orxonox::GraphicsManager::update(), orxonox::GSRoot::update(), orxonox::Server::update(), orxonox::Client::update(), orxonox::TclThreadManager::update(), and orxonox::InputManager::update().

long orxonox::Clock::getDeltaTimeMicroseconds | ( |  | ) | const`[inline]`

Referenced by orxonox::Game::run(), and orxonox::TimerBase::tick().

unsigned long long orxonox::Clock::getMicroseconds | ( |  | ) | const`[inline]`

unsigned long long orxonox::Clock::getMilliseconds | ( |  | ) | const`[inline]`

unsigned long long orxonox::Clock::getRealMicroseconds | ( |  | ) | const

References storedTime_, and timer_.

Referenced by orxonox::Game::run(), orxonox::GSRoot::update(), and orxonox::GSGraphics::update().

unsigned long orxonox::Clock::getSeconds | ( |  | ) | const`[inline]`

float orxonox::Clock::getSecondsPrecise | ( |  | ) | const`[inline]`

## Member Data Documentation

unsigned long orxonox::Clock::lastTimersTime_`[private]`

Referenced by capture().

unsigned long long orxonox::Clock::storedTime_`[private]`

Referenced by capture(), and getRealMicroseconds().

long orxonox::Clock::tickDt_`[private]`

Referenced by capture().

float orxonox::Clock::tickDtFloat_`[private]`

Referenced by capture().

unsigned long long orxonox::Clock::tickTime_`[private]`

Referenced by capture().

Ogre::Timer* orxonox::Clock::timer_`[private]`

Referenced by capture(), getRealMicroseconds(), and ~Clock().

The documentation for this class was generated from the following files:

- src/core/Clock.h
- src/core/Clock.cc